4Suite™ API Documentation

# ► Module Ft.Server.Server.SCore.XPathDocumentDefinitionImp

DocumentDefinition repository resource class
Copyright 2003 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: XPathDocumentDefinitionImp |  |  |  | Functions: NewDocumentDefinitionXml |  |  |  | Fields: FTSERVER_NAMESPACE, SET_RDF_MAPS_XUPDATE, XLINK_NAMESPACE

## Classes

class XPathDocumentDefinitionImp(Ft.Server.Server.SCore.DocumentDefinitionImp.DocumentDefinitionImp)

### Methods

getNsMap(self)
Get the namespace mapping for this document definition
getRdfMaps(self)
Get all of the RDF mappings for this document definition
setNsMap(self, newNss)
Set the namespace mappings of this document definition
setRdfMaps(self, newMaps)
Set the RDF mappings for this document definition

### Methods inherited from class Ft.Server.Server.SCore.DocumentDefinitionImp.DocumentDefinitionImp

addBaseDocumentDefinition, getBaseDefinitions, getCreationParams, getDerivedDefinitions, getMetaDocumentUris, removeBaseDocumentDefinition, setContent, setCreationParams

### Methods inherited from class Ft.Server.Server.SCore.XmlDocumentImp.XmlDocumentImp

expandXLink, getDocumentDefinition, getValidationInfo, setDocumentDefinition

### Methods inherited from class Ft.Server.Server.SCore.RawFileImp.RawFileImp

asSchematron, asStylesheet, getContent, getContentResource, getImt, getMetaDataResource, setImt

### Methods inherited from class Ft.Server.Server.SCore.ResourceMetaDataImp.ResourceMetaDataImp

__init__, __str__, addAcl, addAlias, addLiteralProperty, addResourceProperty, applyXslt, asDom, delete, fetchResource, getAbsolutePath, getAbsolutePathAsUri, getAcl, getAclIdent, getAclIdentifiers, getAliases, getBasePath, getContentSlice, getCreationDate, getDisplayPath, getExtFunctionsAndElements, getLastModifiedDate, getModel, getName, getOwner, getParent, getPath, getResourceType, getRoot, getSize, getStatementsAbout, getStatementsGeneratedBy, hasResource, inheritAcl, isResourceType, markTemporary, removeAcl, removeAlias, removeLiteralProperty, removeResourceProperty, setAcl, setOwner, toXPathContext, verifyAcl, xUpdate

### Fields

resourceType = 9

## Functions

NewDocumentDefinitionXml(driver, path, acl, owner, imt, src, docDef)

## Fields

FTSERVER_NAMESPACE = 'http://xmlns.4suite.org/reserved'
SET_RDF_MAPS_XUPDATE = '<xupdate:modifications\n version="1.0"\n xmlns:x... %s\n </xupdate:append>\n</xupdate:modifications>\n'
XLINK_NAMESPACE = u'http://www.w3.org/1999/xlink'